## gcc-mingw32 4.4.4-0.1

=== debian/changelog ===
gcc-mingw32 (4.4.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 29 May 2010 17:02:27 +0200

gcc-mingw32 (4.4.2-5) unstable; urgency=low

  * debian/control: Fix Vcs-* URLs.

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 29 Jan 2010 23:18:54 +0100

gcc-mingw32 (4.4.2-4) experimental; urgency=low

  * Minor adjustment in description.
  * Build a full amd64 compiler.

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 28 Jan 2010 18:44:40 +0000

gcc-mingw32 (4.4.2-3) unstable; urgency=low

  * Add amd64 support.

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 06 Jan 2010 21:27:27 +0100

gcc-mingw32 (4.4.2-2) unstable; urgency=low

  * rules: Don't remove $target libiberty.a.  (Closes: #562094)

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 24 Dec 2009 17:26:07 +0100

gcc-mingw32 (4.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 29 Oct 2009 00:20:11 +0100

gcc-mingw32 (4.4.1-2) unstable; urgency=low

  * Remove all info documentation, not just gfortran's.  (Closes: #543393)

 -- Robert Millan <rmh.debian@aybabtu.com>  Tue, 25 Aug 2009 21:38:10 +0200

gcc-mingw32 (4.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 21 Aug 2009 22:12:08 +0200

gcc-mingw32 (4.4.0-3) unstable; urgency=low

  * Fix description to make it clearer both C and C++ are supported.
    (Closes: #538732)
  * Enable gfortran.  Thanks Alberto Luaces.  (Closes: #539034)
  * Disable shared libraries (--disable-shared).  (Closes: #539033)

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 30 Jul 2009 23:52:31 +0200

gcc-mingw32 (4.4.0-2) unstable; urgency=low

  * Provide i586-mingw32msvc-cc symlink.  (Closes: #538428)
  * control (Provides): Add mingw32.  (Closes: #538413)
  * control: Add Vcs-Svn and Vcs-Browser (hosted in collab-maint).
  * Use tarball.mk from cdbs >= 0.4.57 now that it supports LZMA.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 26 Jul 2009 16:26:33 +0200

gcc-mingw32 (4.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #529183)

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 03 Jul 2009 00:33:53 +0200
