=== debian/control ===
Source: gcc-mingw32
Section: devel
Priority: extra
Maintainer: Robert Millan <rmh.debian@aybabtu.com>
Build-Depends: cdbs (>= 0.4.57),
 debhelper (>= 7),
 lzma,
 mingw32-binutils (>= 2.20),
 mingw32-runtime (>= 3.12),
 mingw-w64 (>= 0~20100125-2),
 libgmp3-dev (>= 2:4.1),
 libmpfr-dev (>= 2.3.2),
Standards-Version: 3.8.1
Homepage: http://gcc.gnu.org/
Vcs-Bzr: https://alioth.debian.org/anonscm/bzr/collab-maint/gcc-mingw32
Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/gcc-mingw32

Package: gcc-mingw32
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mingw32-binutils (>= 2.20)
Recommends: mingw32-runtime (>= 3.12), mingw-w64 (>= 0~20100125-2)
Conflicts: mingw32
Provides: mingw32
Suggests: gcc-doc, cpp-doc
Description: The GNU Compiler Collection (cross compiler for MingW32 / MingW64)
 This is the GNU Compiler Collection, a fairly portable optimizing compiler
 which supports multiple languages.
 .
 This package includes support for cross-compiling to MingW32 and MingW64
 targets.
