## gcc-mingw32 4.4.4-0.1build1

=== debian/changelog ===
gcc-mingw32 (4.4.4-0.1build1) maverick; urgency=low

  * Rebuild for libmpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Sep 2010 19:14:43 +0000
