## gcc-mingw32 4.4.4-1

=== debian/changelog ===
gcc-mingw32 (4.4.4-1) unstable; urgency=low

  * New maintainer. (Closes: #594380)
  * Drop MinGW-w64 support, the mingw-w64 packages no longer use the
    triplet used in this package. For full 32- and 64-bit support, with
    newer gcc, see the mingw-w64 package and its dependencies.
  * Standards-Version 3.9.2, no change required.
  * Specify source format "3.0 (native)" for now.
  * Add lintian overrides for spelling mistakes, missing manpages (the gcc
    documentation is non-free) and cross-compiler directories.

 -- Stephen Kitt <steve@sk2.org>  Mon, 02 May 2011 23:04:31 +0200
