=== debian/control ===
Source: gcc-mingw32
Section: devel
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Build-Depends: cdbs (>= 0.4.57),
 debhelper (>= 7),
 lzma,
 mingw32-binutils (>= 2.20),
 mingw32-runtime (>= 3.12),
 libgmp3-dev (>= 2:4.1),
 libmpfr-dev (>= 2.3.2),
Standards-Version: 3.9.2
Homepage: http://gcc.gnu.org/
Vcs-Git: git://git.debian.org/collab-maint/gcc-mingw32.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gcc-mingw32.git;a=summary

Package: gcc-mingw32
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mingw32-binutils (>= 2.20)
Recommends: mingw32-runtime (>= 3.12)
Conflicts: mingw32
Provides: mingw32
Suggests: gcc-doc, cpp-doc
Description: GNU Compiler Collection (cross compiler for MinGW32)
 This is the GNU Compiler Collection, a fairly portable optimizing
 compiler which supports multiple languages.
 .
 This package includes support for cross-compiling to MinGW32
 targets.
 .
 For full 32- and 64-bit Windows support, see the mingw-w64 packages.
