=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 
 # native strip messes up the archive indexes
-DEB_STRIP_EXCLUDE = /usr/lib/gcc/i586-mingw32msvc /usr/lib/gcc/amd64-mingw32msvc /usr/i586-mingw32msvc/lib /usr/amd64-mingw32msvc/lib
+DEB_STRIP_EXCLUDE = /usr/lib/gcc/i586-mingw32msvc /usr/i586-mingw32msvc/lib
 
 build-tree/gcc-mingw32/Makefile: apply-patches
 	mkdir -p $(subst /Makefile,,$@)
@@ -42,25 +42,13 @@
 		--target=i586-mingw32msvc \
 		--enable-languages=c,c++,fortran
 
-build-tree/gcc-mingw64/Makefile: apply-patches
-	mkdir -p $(subst /Makefile,,$@)
-	cd $(subst /Makefile,,$@) && $(CURDIR)/$(DEB_SRCDIR)/configure $(DEB_CONFIGURE_USER_FLAGS) \
-		--target=amd64-mingw32msvc \
-		--enable-languages=c
-
 stamps/build-mingw32: build-tree/gcc-mingw32/Makefile
 	$(MAKE) -C $(subst /Makefile,,$<)
 	mkdir -p stamps
 	touch $@
 
-stamps/build-mingw64: build-tree/gcc-mingw64/Makefile
-	$(MAKE) -C $(subst /Makefile,,$<) all$(BOOTSTRAP_SUFFIX)
-	mkdir -p stamps
-	touch $@
-
-stamps/install: stamps/build-mingw32 stamps/build-mingw64
+stamps/install: stamps/build-mingw32
 	$(MAKE) -C build-tree/gcc-mingw32 install DESTDIR=$(CURDIR)/debian/$(package)/
-	$(MAKE) -C build-tree/gcc-mingw64 install$(BOOTSTRAP_SUFFIX) DESTDIR=$(CURDIR)/debian/$(package)/
 
 	# remove all documentation (already in gcc-doc)
 	rm -rf debian/$(package)/usr/share/{man/man7,man/man1,info}
@@ -81,14 +69,11 @@
 
 	# this replaces dh_strip
 	i586-mingw32msvc-strip --strip-debug debian/$(package)/usr/lib/gcc/i586-mingw32msvc/*/*.a
-ifneq ($(bootstrap), yes)
-	amd64-mingw32msvc-strip --strip-debug debian/$(package)/usr/lib/gcc/amd64-mingw32msvc/*/*.a
-endif
 
 	mkdir -p stamps
 	touch $@
 
-build/gcc-mingw32:: stamps/build-mingw32 stamps/build-mingw64
+build/gcc-mingw32:: stamps/build-mingw32
 
 install/gcc-mingw32:: stamps/install
